- 0.202.0-beta (latest)
- 0.201.0-beta
- 0.199.0-beta
- 0.197.0-beta
- 0.196.0-beta
- 0.195.0-beta
- 0.194.0-beta
- 0.193.0-beta
- 0.191.0-beta
- 0.189.0-beta
- 0.188.0-beta
- 0.185.0-beta
- 0.184.0-beta
- 0.183.0-beta
- 0.181.0-beta
- 0.180.0-beta
- 0.179.0-beta
- 0.178.0-beta
- 0.177.0-beta
- 0.176.0-beta
- 0.175.0-beta
- 0.174.0-beta
- 0.173.0-beta
- 0.172.0-beta
- 0.170.0-beta
- 0.169.0-beta
- 0.168.0-beta
- 0.167.0-beta
- 0.166.0-beta
- 0.165.0-beta
- 0.164.0-beta
- 0.163.0-beta
- 0.162.0-beta
- 0.161.0-beta
- 0.160.0-beta
- 0.158.0-beta
- 0.157.0-beta
- 0.156.0-beta
- 0.155.0-beta
- 0.154.0-beta
- 0.153.0-beta
- 0.152.0-beta
- 0.151.0-beta
- 0.150.0-beta
- 0.149.0-beta
- 0.148.0-beta
- 0.145.0-beta
- 0.144.0-beta
- 0.143.0-beta
- 0.142.0-beta
- 0.141.0-beta
- 0.140.0-beta
- 0.139.0-beta
- 0.138.0-beta
- 0.137.0-beta
- 0.136.0-beta
- 0.135.0-beta
- 0.134.0-beta
- 0.133.0-beta
- 0.132.0-beta
- 0.130.0-beta
- 0.129.0-beta
- 0.128.0-beta
- 0.127.0-beta
- 0.126.0-beta
- 0.125.0-beta
- 0.124.15-beta
- 0.123.4-beta
- 0.122.23-beta
public interface ListEventsResponseOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getErrorEvents(int index)
public abstract ErrorEvent getErrorEvents(int index)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
ErrorEvent |
|
getErrorEventsCount()
public abstract int getErrorEventsCount()The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Returns | |
|---|---|
| Type | Description |
int |
|
getErrorEventsList()
public abstract List<ErrorEvent> getErrorEventsList()The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Returns | |
|---|---|
| Type | Description |
List<ErrorEvent> |
|
getErrorEventsOrBuilder(int index)
public abstract ErrorEventOrBuilder getErrorEventsOrBuilder(int index)The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
ErrorEventOrBuilder |
|
getErrorEventsOrBuilderList()
public abstract List<? extends ErrorEventOrBuilder> getErrorEventsOrBuilderList()The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.devtools.clouderrorreporting.v1beta1.ErrorEventOrBuilder> |
|
getNextPageToken()
public abstract String getNextPageToken()If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.
string next_page_token = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The nextPageToken. |
getNextPageTokenBytes()
public abstract ByteString getNextPageTokenBytes()If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.
string next_page_token = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for nextPageToken. |
getTimeRangeBegin()
public abstract Timestamp getTimeRangeBegin()The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;
| Returns | |
|---|---|
| Type | Description |
Timestamp |
The timeRangeBegin. |
getTimeRangeBeginOrBuilder()
public abstract TimestampOrBuilder getTimeRangeBeginOrBuilder()The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;
| Returns | |
|---|---|
| Type | Description |
TimestampOrBuilder |
|
hasTimeRangeBegin()
public abstract boolean hasTimeRangeBegin()The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the timeRangeBegin field is set. |